diff -pruN 1.0.0-1/debian/changelog 1.0.0-2/debian/changelog
--- 1.0.0-1/debian/changelog	2017-08-04 18:53:16.000000000 +0000
+++ 1.0.0-2/debian/changelog	2020-12-21 19:09:53.000000000 +0000
@@ -1,3 +1,16 @@
+crypto-equality-clojure (1.0.0-2) unstable; urgency=medium
+
+  * Team upload.
+  * Rebuild using leiningen. (Closes: #977838)
+  * d/control: use dh-compat and update to dh13.
+  * d/control: Standards-Version update tot 4.5.1. Add Rules-Requires-Root.
+  * d/control: move to the Clojure Team and update VCS fields.
+  * d/watch: update to v4 and migrate to git mode.
+  * d/*.lintian-overrides: override false positive repeated-path-segment tag.
+  * d/tests: add autopkgtests.
+
+ -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 21 Dec 2020 14:09:53 -0500
+
 crypto-equality-clojure (1.0.0-1) unstable; urgency=medium
 
   * Initial release (Closes: #855717)
diff -pruN 1.0.0-1/debian/compat 1.0.0-2/debian/compat
--- 1.0.0-1/debian/compat	2017-08-04 18:53:07.000000000 +0000
+++ 1.0.0-2/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-10
diff -pruN 1.0.0-1/debian/control 1.0.0-2/debian/control
--- 1.0.0-1/debian/control	2017-08-04 18:53:16.000000000 +0000
+++ 1.0.0-2/debian/control	2020-12-21 19:02:42.000000000 +0000
@@ -1,22 +1,27 @@
 Source: crypto-equality-clojure
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: clojure (>= 1.8),
-               debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                default-jdk,
-               javahelper (>= 0.32),
-               markdown,
-               maven-repo-helper (>= 1.5~)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/crypto-equality-clojure.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-java/crypto-equality-clojure.git
+               javahelper,
+               maven-repo-helper,
+               libclojure-java,
+               libnrepl-clojure <!nocheck>,
+               libcomplete-clojure <!nocheck>,
+               leiningen,
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/clojure-team/crypto-equality-clojure.git
+Vcs-Browser: https://salsa.debian.org/clojure-team/crypto-equality-clojure
 Homepage: https://github.com/weavejester/crypto-equality
+Rules-Requires-Root: no
 
 Package: libcrypto-equality-clojure
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
+Depends: ${java:Depends},
+         ${misc:Depends},
+         libclojure-java,
 Recommends: ${java:Recommends}
 Description: Clojure library protecting against timing attacks
  crypto-equality is a very small Clojure library for protecting against timing
diff -pruN 1.0.0-1/debian/libcrypto-equality-clojure.jlibs 1.0.0-2/debian/libcrypto-equality-clojure.jlibs
--- 1.0.0-1/debian/libcrypto-equality-clojure.jlibs	2017-08-04 18:53:07.000000000 +0000
+++ 1.0.0-2/debian/libcrypto-equality-clojure.jlibs	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-crypto-equality.jar
diff -pruN 1.0.0-1/debian/libcrypto-equality-clojure.lintian-overrides 1.0.0-2/debian/libcrypto-equality-clojure.lintian-overrides
--- 1.0.0-1/debian/libcrypto-equality-clojure.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/libcrypto-equality-clojure.lintian-overrides	2020-12-21 19:06:01.000000000 +0000
@@ -0,0 +1,2 @@
+# This is the namespace used upstream
+libcrypto-equality-clojure: repeated-path-segment
diff -pruN 1.0.0-1/debian/libcrypto-equality-clojure.poms 1.0.0-2/debian/libcrypto-equality-clojure.poms
--- 1.0.0-1/debian/libcrypto-equality-clojure.poms	2017-08-04 18:53:07.000000000 +0000
+++ 1.0.0-2/debian/libcrypto-equality-clojure.poms	2020-12-21 18:53:01.000000000 +0000
@@ -1,28 +1 @@
-# List of POM files for the package
-# Format of this file is:
-# <path to pom file> [option]*
-# where option can be:
-#   --ignore: ignore this POM and its artifact if any
-#   --ignore-pom: don't install the POM. To use on POM files that are created
-#     temporarily for certain artifacts such as Javadoc jars. [mh_install, mh_installpoms]
-#   --no-parent: remove the <parent> tag from the POM
-#   --package=<package>: an alternative package to use when installing this POM
-#      and its artifact
-#   --has-package-version: to indicate that the original version of the POM is the same as the upstream part
-#      of the version for the package.
-#   --keep-elements=<elem1,elem2>: a list of XML elements to keep in the POM
-#      during a clean operation with mh_cleanpom or mh_installpom
-#   --artifact=<path>: path to the build artifact associated with this POM,
-#      it will be installed when using the command mh_install. [mh_install]
-#   --java-lib: install the jar into /usr/share/java to comply with Debian
-#      packaging guidelines
-#   --usj-name=<name>: name to use when installing the library in /usr/share/java
-#   --usj-version=<version>: version to use when installing the library in /usr/share/java
-#   --no-usj-versionless: don't install the versionless link in /usr/share/java
-#   --dest-jar=<path>: the destination for the real jar.
-#     It will be installed with mh_install. [mh_install]
-#   --classifier=<classifier>: Optional, the classifier for the jar. Empty by default.
-#   --site-xml=<location>: Optional, the location for site.xml if it needs to be installed.
-#     Empty by default. [mh_install]
-#
-debian/pom.xml --usj-name=crypto-equality
+debian/pom.xml --artifact=target/crypto-equality.jar --usj-name=crypto-equality
diff -pruN 1.0.0-1/debian/maven.rules 1.0.0-2/debian/maven.rules
--- 1.0.0-1/debian/maven.rules	2017-08-04 18:53:07.000000000 +0000
+++ 1.0.0-2/debian/maven.rules	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-* clojure * s/([0-9]+)\.([0-9]+).*/$1.$2.x/ * *
diff -pruN 1.0.0-1/debian/patches/0001_Lein_Local.patch 1.0.0-2/debian/patches/0001_Lein_Local.patch
--- 1.0.0-1/debian/patches/0001_Lein_Local.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/patches/0001_Lein_Local.patch	2020-12-21 18:55:51.000000000 +0000
@@ -0,0 +1,17 @@
+Patch project.clj to build locally using lein.
+Index: crypto-equality-clojure/project.clj
+===================================================================
+--- crypto-equality-clojure.orig/project.clj
++++ crypto-equality-clojure/project.clj
+@@ -3,8 +3,9 @@
+   :url "https://github.com/weavejester/crypto-equality"
+   :license {:name "Eclipse Public License"
+             :url "http://www.eclipse.org/legal/epl-v10.html"}
+-  :dependencies [[org.clojure/clojure "1.2.1"]]
++  :dependencies [[org.clojure/clojure "1.10.x"]]
+   :profiles
+   {:1.3 {:dependencies [[org.clojure/clojure "1.3.0"]]}
+    :1.4 {:dependencies [[org.clojure/clojure "1.4.0"]]}
+-   :1.5 {:dependencies [[org.clojure/clojure "1.5.1"]]}})
++   :1.5 {:dependencies [[org.clojure/clojure "1.5.1"]]}}
++  :local-repo "debian/maven-repo")
diff -pruN 1.0.0-1/debian/patches/series 1.0.0-2/debian/patches/series
--- 1.0.0-1/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/patches/series	2020-12-21 18:55:08.000000000 +0000
@@ -0,0 +1 @@
+0001_Lein_Local.patch
diff -pruN 1.0.0-1/debian/pom.xml 1.0.0-2/debian/pom.xml
--- 1.0.0-1/debian/pom.xml	2017-08-04 18:53:07.000000000 +0000
+++ 1.0.0-2/debian/pom.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,75 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <groupId>crypto-equality</groupId>
-  <artifactId>crypto-equality</artifactId>
-  <packaging>jar</packaging>
-  <version>1.0.0</version>
-  <name>crypto-equality</name>
-  <description>Securely check equality of strings or byte sequences</description>
-  <url>https://github.com/weavejester/crypto-equality</url>
-  <licenses>
-    <license>
-      <name>Eclipse Public License</name>
-      <url>http://www.eclipse.org/legal/epl-v10.html</url>
-    </license>
-  </licenses>
-  <scm>
-    <tag>985eab461f6e5392a8ae4291d5de5f2fc0c443c2
-</tag>
-    <url/>
-  </scm>
-  <build>
-    <sourceDirectory>src</sourceDirectory>
-    <testSourceDirectory>test</testSourceDirectory>
-    <resources>
-      <resource>
-        <directory>resources</directory>
-      </resource>
-    </resources>
-    <testResources>
-      <testResource>
-        <directory>resources</directory>
-      </testResource>
-    </testResources>
-    <directory>target</directory>
-    <outputDirectory>target/classes</outputDirectory>
-    <plugins/>
-  </build>
-  <repositories>
-    <repository>
-      <id>central</id>
-      <url>https://repo1.maven.org/maven2/</url>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-      <releases>
-        <enabled>true</enabled>
-      </releases>
-    </repository>
-    <repository>
-      <id>clojars</id>
-      <url>https://clojars.org/repo/</url>
-      <snapshots>
-        <enabled>true</enabled>
-      </snapshots>
-      <releases>
-        <enabled>true</enabled>
-      </releases>
-    </repository>
-  </repositories>
-  <dependencyManagement>
-    <dependencies/>
-  </dependencyManagement>
-  <dependencies>
-    <dependency>
-      <groupId>org.clojure</groupId>
-      <artifactId>clojure</artifactId>
-      <version>1.2.1</version>
-    </dependency>
-  </dependencies>
-</project>
-
-<!-- This file was autogenerated by Leiningen.
-  Please do not edit it directly; instead edit project.clj and regenerate it.
-  It should not be considered canonical data. For more information see
-  https://github.com/technomancy/leiningen -->
diff -pruN 1.0.0-1/debian/rules 1.0.0-2/debian/rules
--- 1.0.0-1/debian/rules	2017-08-04 18:53:16.000000000 +0000
+++ 1.0.0-2/debian/rules	2020-12-21 18:53:47.000000000 +0000
@@ -3,40 +3,30 @@
 include /usr/share/javahelper/java-vars.mk
 include /usr/share/dpkg/pkg-info.mk
 
-MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))
-
-export CLASSPATH=/usr/share/java/clojure.jar
-
-PRODUCED_JAR=crypto-equality.jar
+export LEIN_HOME=$(CURDIR)/.lein
+export LEIN_OFFLINE=true
+NAME=crypto-equality
 
 %:
 	dh $@ --with javahelper --with maven_repo_helper
 
-override_jh_build: $(MDWN_DOCS)
-	jar cf $(PRODUCED_JAR) -C src .
-	mkdir -p $(CURDIR)/doc/html && mv $^ $(CURDIR)/doc/html
-
-override_jh_clean:
-	jh_clean
-	rm -f $(CURDIR)/$(PRODUCED_JAR)
-	rm -rf $(CURDIR)/doc
+override_dh_auto_configure:
+	cd debian && ln -sf /usr/share/maven-repo .
+
+override_dh_auto_build:
+	lein pom debian/pom.xml
+	lein jar
+	# symlink so we don't need a version in debian/*.poms
+	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
 override_dh_auto_test:
-	dh_auto_test
-	(cd test && \
-	 find . -name "*.clj" | xargs clojure -cp $(CURDIR)/$(PRODUCED_JAR))
-
-get-orig-source:
-	uscan --download-version $(DEB_VERSION_UPSTREAM) --force-download --rename
-
-%.html:%.md
-	@echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"' \
-		'"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
-	@echo "<html>" >> $@
-	@echo "<head>" >> $@
-	@echo "<title>$(shell head -n 1 $< | sed 's/^#*\s*//')</title>" >> $@
-	@echo "</head>" >> $@
-	@echo "<body>" >> $@
-	markdown $< >> $@
-	@echo "</body>" >> $@
-	@echo "</html>" >> $@
+	lein test
+
+override_jh_installlibs:
+	jh_installlibs target/$(NAME).jar
+
+override_dh_clean:
+	rm -f debian/maven-repo
+	rm -Rf target
+	rm -f debian/pom.xml
+	dh_clean
diff -pruN 1.0.0-1/debian/tests/build 1.0.0-2/debian/tests/build
--- 1.0.0-1/debian/tests/build	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/tests/build	2020-12-21 19:07:50.000000000 +0000
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/crypto-equality.jar
+
+clojure -cp $CLASSPATH -e '(use '"'"'crypto.equality)'
diff -pruN 1.0.0-1/debian/tests/control 1.0.0-2/debian/tests/control
--- 1.0.0-1/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/tests/control	2020-12-21 19:07:00.000000000 +0000
@@ -0,0 +1,6 @@
+Tests: build
+Depends: @, clojure
+Restrictions: superficial
+
+Tests: unittests
+Depends: @, clojure
diff -pruN 1.0.0-1/debian/tests/unittests 1.0.0-2/debian/tests/unittests
--- 1.0.0-1/debian/tests/unittests	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0-2/debian/tests/unittests	2020-12-21 19:08:02.000000000 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -efu
+
+CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/crypto-equality.jar
+
+cp -a test "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+find . -name "*.clj" | xargs clojure -cp $CLASSPATH
diff -pruN 1.0.0-1/debian/watch 1.0.0-2/debian/watch
--- 1.0.0-1/debian/watch	2017-08-04 18:53:16.000000000 +0000
+++ 1.0.0-2/debian/watch	2020-12-21 19:04:10.000000000 +0000
@@ -1,2 +1,4 @@
-version=3
-https://github.com/weavejester/crypto-equality/tags .*/([\d.]+)\.tar\.gz
+version=4
+opts="mode=git" \
+https://github.com/weavejester/crypto-equality.git \
+refs/tags/([\d\.]+)
